%define name fwconfig
%define version 1.4
%define release 1

Name: %{name}
Summary: An web based ipchains/ipfwadm configuration tool
Version: %{version}
Release: %{release}
Copyright: GPL
Group: Applications/System
Source: http://www.mindstorm.com/~sparlin/downloads/%{name}-%{version}.tar.gz
Source1: README.RedHat-apache
BuildRoot: /var/tmp/%{name}-root
Requires: apache

%description
fwconfig is a web based configuration utility for the Linux kernel level
firewall facilities, ipfwadm and ipchains. 

Be sure to read README.RedHat-apache which is installed in
/usr/doc/%{name}-%{version}, it describes the steps for using this tool with
Apache.

%prep
%setup -q -n %{name}

%build
%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/home/httpd/html/fwconfig/graphics

install -m0644 column.html $RPM_BUILD_ROOT/home/httpd/html/fwconfig
install -m0644 fwconfig.html $RPM_BUILD_ROOT/home/httpd/html/fwconfig
install -m0644 help.shtml $RPM_BUILD_ROOT/home/httpd/html/fwconfig
install -m0644 index.html $RPM_BUILD_ROOT/home/httpd/html/fwconfig

install -m04755 fwconfig.pl $RPM_BUILD_ROOT/home/httpd/html/fwconfig
install -m0644 cgi-header.pl $RPM_BUILD_ROOT/home/httpd/html/fwconfig
install -m0755 fw-init $RPM_BUILD_ROOT/home/httpd/html/fwconfig

install -m0644 graphics/* $RPM_BUILD_ROOT/home/httpd/html/fwconfig

%files
%defattr(-,root,root)
%doc LICENSE README VERSION $RPM_SOURCE_DIR/README.RedHat-apache
/home/httpd/html/fwconfig

%changelog
*Fri Dec 17 1999 Tim Powers <timp@redhat.com>
- initial build for Powertools
